scala

# Tuple12

#### case class Tuple12[+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8, +T9, +T10, +T11, +T12](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12) extends Product12[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12] with Product with Serializable

A tuple of 12 elements; the canonical representation of a scala.Product12.

_1

  Element 1 of this Tuple12

_2

  Element 2 of this Tuple12

_3

  Element 3 of this Tuple12

_4

  Element 4 of this Tuple12

_5

  Element 5 of this Tuple12

_6

  Element 6 of this Tuple12

_7

  Element 7 of this Tuple12

_8

  Element 8 of this Tuple12

_9

  Element 9 of this Tuple12

_10

  Element 10 of this Tuple12

_11

  Element 11 of this Tuple12

_12

  Element 12 of this Tuple12

Annotations
  @deprecatedInheritance( ... , "2.11.0" )
Source
  Tuple12.scala

Linear Supertypes
Serializable, java.io.Serializable, Product12[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12], Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Tuple12
2. Serializable
3. Serializable
4. Product12
5. Product
6. Equals
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tuple12(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12)

   Create a new tuple with 12 elements.

   Create a new tuple with 12 elements. Note that it is more idiomatic to create a Tuple12 via `(t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12)`

   _1

     Element 1 of this Tuple12

   _2

     Element 2 of this Tuple12

   _3

     Element 3 of this Tuple12

   _4

     Element 4 of this Tuple12

   _5

     Element 5 of this Tuple12

   _6

     Element 6 of this Tuple12

   _7

     Element 7 of this Tuple12

   _8

     Element 8 of this Tuple12

   _9

     Element 9 of this Tuple12

   _10

     Element 10 of this Tuple12

   _11

     Element 11 of this Tuple12

   _12

     Element 12 of this Tuple12

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): ((T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12), B)

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val _1: T1

   Element 1 of this Tuple12

   Element 1 of this Tuple12

   Definition Classes
     Tuple12 → Product12

7. #### val _10: T10

   Element 10 of this Tuple12

   Element 10 of this Tuple12

   Definition Classes
     Tuple12 → Product12

8. #### val _11: T11

   Element 11 of this Tuple12

   Element 11 of this Tuple12

   Definition Classes
     Tuple12 → Product12

9. #### val _12: T12

   Element 12 of this Tuple12

   Element 12 of this Tuple12

   Definition Classes
     Tuple12 → Product12

10. #### val _2: T2

    Element 2 of this Tuple12

    Element 2 of this Tuple12

    Definition Classes
      Tuple12 → Product12

11. #### val _3: T3

    Element 3 of this Tuple12

    Element 3 of this Tuple12

    Definition Classes
      Tuple12 → Product12

12. #### val _4: T4

    Element 4 of this Tuple12

    Element 4 of this Tuple12

    Definition Classes
      Tuple12 → Product12

13. #### val _5: T5

    Element 5 of this Tuple12

    Element 5 of this Tuple12

    Definition Classes
      Tuple12 → Product12

14. #### val _6: T6

    Element 6 of this Tuple12

    Element 6 of this Tuple12

    Definition Classes
      Tuple12 → Product12

15. #### val _7: T7

    Element 7 of this Tuple12

    Element 7 of this Tuple12

    Definition Classes
      Tuple12 → Product12

16. #### val _8: T8

    Element 8 of this Tuple12

    Element 8 of this Tuple12

    Definition Classes
      Tuple12 → Product12

17. #### val _9: T9

    Element 9 of this Tuple12

    Element 9 of this Tuple12

    Definition Classes
      Tuple12 → Product12

18. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

19. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)) ⇒ Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)) ⇒ Boolean): (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### def ensuring(cond: Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: Boolean): (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

26. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to StringFormat[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      12

    Definition Classes
      Product12 → Product

33. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(0)` is the same as `._1`.

    Definition Classes
      Product12 → Product
    Annotations
      @throws( clazz = classOf[IndexOutOfBoundsException] )
    Exceptions thrown
      IndexOutOfBoundsException

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      Tuple12 → AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): ((T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12), B)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product12[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12]

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)]

### Inherited by implicit conversion StringFormat from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to StringFormat[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)]

### Inherited by implicit conversion Ensuring from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)]

### Inherited by implicit conversion ArrowAssoc from (T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12)]

### Ungrouped